## python-eventlet 0.20.0

=== debian/changelog ===
python-eventlet (0.20.0-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * Set TRAVIS env to better handle timing tests

  [ Thomas Goirand ]
  * Team upload with agreement from Ondřej Nový.
  * Add 0015-more-python3.7-fixes.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Jan 2019 17:06:21 +0100

python-eventlet (0.20.0-5) unstable; urgency=medium

  * Don't reset http{,s}_proxy, pybuild sets it correctly
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Bump my copyright year
  * Fix RecursionError in ssl on Python3.6+ (Closes: #901772)
  * Convert git repository from git-dpm to gbp layout
  * d/p/0013-New_test_crt.patch: Add, regenerate test crt
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Fix Python 3.7 (Closes: #903609)
  * Bump debhelper compat level to 11
  * Standards version is 4.2.1 now (no changes)
  * Add upstream metadata

 -- Ondřej Nový <onovy@debian.org>  Sun, 30 Sep 2018 14:39:27 +0200

python-eventlet (0.20.0-4) unstable; urgency=medium

  * Avoid dependency on enum-compat (Closes: #881989)
  * Bump required version of python-setuptools to 20.6.8

 -- Ondřej Nový <onovy@debian.org>  Fri, 01 Dec 2017 13:08:04 +0100

python-eventlet (0.20.0-3) unstable; urgency=medium

  * Depends on python-enum34 (Closes: #881989)

 -- Ondřej Nový <onovy@debian.org>  Sat, 18 Nov 2017 11:31:54 +0100

python-eventlet (0.20.0-2) unstable; urgency=medium

  [ Thomas Goirand ]
  * Move back the package to DPMT:
    - Update Vcs-Browser and Vcs-Git.
    - Update Maintainer: field.
    - Back to using Pybuild.
    - Removed openstack-pkg-tools b-d.
  * Add patch (Closes: #881448):
    - 0010-Fix-compilation-errors-when-installing-package-in-Py.patch.

  [ Ondřej Nový ]
  * d/watch: Use pypi.debian.net
  * Add netbase to depends, socket.getprotobyname needs it
  * d/tests: Split Python2 and Python3 tests
  * Remove gcs@debian.org from Uploaders as he requested
  * Use Python3 version of Sphinx for docs building

 -- Ondřej Nový <onovy@debian.org>  Tue, 14 Nov 2017 23:58:06 +0100

python-eventlet (0.20.0-1) unstable; urgency=medium

  * Revert changes from Ondřej Nový, keep the package in OpenStack, as it's
    used only there in the whole of Debian.
  * Ran wrap-and-sort -bast.
  * Updated maintainer field.
  * Updated VCS fields.
  * New upstream release.
  * Removed versions of (build-)depends after stretch release.
  * Removed breaks+replaces after stretch release.
  * Standards-Version is now 4.1.1.
  * Refreshed and removed patches.
  * Add remove-test_urllib-failing-in-py36.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Oct 2017 20:10:01 +0000

python-eventlet (0.19.0-7) unstable; urgency=medium

  * Maintainer: DPMT team
  * Vcs-* move to DPMT
  * d/copyright
    - Use https in format URL
    - Added myself for Debian part
  * Standards-Version is 4.0.0.4 now
  * Use pybuild
  * Remove B-D on openstack-pkg-tools, not needed anymore

 -- Ondřej Nový <onovy@debian.org>  Fri, 04 Aug 2017 22:58:55 +0200

=== debian/control ===
Source: python-eventlet
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper (>= 11~),
 dh-python,
 netbase,
 python-all,
 python-setuptools (>= 20.6.8),
 python3-all,
 python3-setuptools (>= 20.6.8),
 python3-sphinx,
Build-Depends-Indep:
 python-dnspython,
 python-enum34,
 python-greenlet,
 python-httplib2,
 python-nose,
 python-openssl,
 python-subprocess32,
 python-zmq,
 python3-dnspython,
 python3-greenlet,
 python3-httplib2,
 python3-nose,
 python3-openssl,
 python3-zmq,
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-eventlet
Vcs-Git: https://salsa.debian.org/python-team/modules/python-eventlet.git
Homepage: http://eventlet.net

Package: python-eventlet
Architecture: all
Depends:
 netbase,
 python-enum34,
 python-greenlet,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-eventlet-doc,
Description: concurrent networking library - Python 2.x
 Eventlet allows you to change how you run your code, not how you write it.
 .
 It uses epoll or libevent for highly scalable non-blocking I/O.
 Coroutines ensure that the developer uses a blocking style of programming
 that is similar to threading, but provide the benefits of non-blocking I/O.
 The event dispatch is implicit, which means you can easily use Eventlet from
 the Python interpreter, or as a small part of a larger application.
 .
 It's easy to get started using Eventlet, and easy to convert existing
 applications to use it. Start off by looking at examples, common design
 patterns, and the list of the basic API primitives.
 .
 This package provides the Python 2.x module.

Package: python-eventlet-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: concurrent networking library - doc
 Eventlet allows you to change how you run your code, not how you write it.
 .
 It uses epoll or libevent for highly scalable non-blocking I/O.
 Coroutines ensure that the developer uses a blocking style of programming
 that is similar to threading, but provide the benefits of non-blocking I/O.
 The event dispatch is implicit, which means you can easily use Eventlet from
 the Python interpreter, or as a small part of a larger application.
 .
 It's easy to get started using Eventlet, and easy to convert existing
 applications to use it. Start off by looking at examples, common design
 patterns, and the list of the basic API primitives.
 .
 This package provides the documentation.

Package: python3-eventlet
Architecture: all
Depends:
 netbase,
 python3-greenlet,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Suggests:
 python-eventlet-doc,
Description: concurrent networking library - Python 3.x
 Eventlet allows you to change how you run your code, not how you write it.
 .
 It uses epoll or libevent for highly scalable non-blocking I/O.
 Coroutines ensure that the developer uses a blocking style of programming
 that is similar to threading, but provide the benefits of non-blocking I/O.
 The event dispatch is implicit, which means you can easily use Eventlet from
 the Python interpreter, or as a small part of a larger application.
 .
 It's easy to get started using Eventlet, and easy to convert existing
 applications to use it. Start off by looking at examples, common design
 patterns, and the list of the basic API primitives.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=eventlet
export TRAVIS=true

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
	PYTHONPATH=. python3 -m sphinx -N -b html doc $(CURDIR)/debian/python-eventlet-doc/usr/share/doc/python-eventlet-doc/html
	dh_sphinxdoc

override_dh_compress:
	dh_compress -X.inv -X.txt

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## python-eventlet 0.21.0

=== debian/changelog ===
python-eventlet (0.21.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.

 -- Stefan Bühler <stbuehler@web.de>  Fri, 09 Jun 2017 17:18:40 +0200

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/eventlet/eventlet.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ -O--buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -N -b html doc $(CURDIR)/debian/python-eventlet-doc/usr/share/doc/python-eventlet-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
#	set -e; \
#	for i in 2.7 $(PYTHON3S) ; do \
#		python$$i -m "nose" --verbose tests/ ; \
#	done
endif

override_dh_compress:
	dh_compress -X.inv -X.txt

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## python-eventlet 0.24.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = PYTHONPATH=../:$(PYTHONPATH) sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean text html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  text      to make text files"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage  to generate a docstring coverage report"

clean:
	-rm -rf _build/*

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) _build/text
	@echo
	@echo "Build finished. The text files are in _build/text."

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/Eventlet.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/Eventlet.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."
	      
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) _build/coverage
	@echo "Coverage report finished, look at the " \
		  "results in _build/coverage/python.txt."

=== debian/changelog ===
python-eventlet (0.24.1-0ubuntu3) disco; urgency=medium

  * d/p/0016-*.patch: Replace patch with proper fix cherry-picked from
    upstream master branch (LP: #1809033).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 21 Dec 2018 09:16:24 -0500

python-eventlet (0.24.1-0ubuntu2) disco; urgency=medium

  * d/p/0016-endheaders-py27-work-around.patch: Patch the endheaders
    method definition to drop the "*" parameter for now as it is not
    valid for Python 2.7 (LP: #1809033).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 18 Dec 2018 14:58:36 -0500

python-eventlet (0.24.1-0ubuntu1) disco; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/0003-Allow-more-busy-CPU.patch,
    d/p/0009-Removed-test_urllib-that-is-failing-in-py36.patch,
    d/p/0014-Fix-for-Python-3.7.patch: Rebased.
  * d/p/0007-Patched-test_getaddrinfo-due-netbase-update.patch,
    d/p/0008-Disable-test_server_connection_timeout_exception.patch,
    d/p/0012-ssl-RecursionError-on-Python3.6.patch: Dropped. Fixed in new
    upstream release.
  * d/p/0005-Removed-failing-test.patch,
    d/p/0011-Avoid-dependency-on-enum-compat.patch: Dropped. No longer needed.
  * d/p/0015-IMPORTANT-late-import-in-use_hub-thread-race-caused-.patch:
    Cherry-picked from upstream master branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 17 Dec 2018 08:38:17 -0500

## python-eventlet 0.25.0

=== debian/changelog ===
python-eventlet (0.25.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 05 Jun 2019 18:30:22 +0000

python-eventlet (0.25.0-0ubuntu1) eoan; urgency=medium

  * New upstream release.
  * d/p/0013-New_test_crt.patch,
    d/p/0014-Fix-for-Python-3.7.patch,
    d/p/0015-IMPORTANT-late-import-in-use_hub-thread-race-caused-.patch,
    d/p/0016-Issue-535-use-Python-2-compatible-syntax-for-keyword.patch:
    Dropped. Fixed in upstream release.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Jun 2019 12:13:26 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-eventlet
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Ondřej Nový <onovy@debian.org>,
@@ -19,27 +20,34 @@
  python-enum34,
  python-greenlet,
  python-httplib2,
+ python-monotonic,
  python-nose,
  python-openssl,
+ python-six,
  python-subprocess32,
  python-zmq,
  python3-dnspython,
  python3-greenlet,
  python3-httplib2,
+ python3-monotonic,
  python3-nose,
  python3-openssl,
+ python3-six,
  python3-zmq,
 Standards-Version: 4.2.1
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-eventlet
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-eventlet.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-eventlet
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-eventlet
 Homepage: http://eventlet.net
 
 Package: python-eventlet
 Architecture: all
 Depends:
  netbase,
+ python-dnspython,
  python-enum34,
  python-greenlet,
+ python-monotonic,
+ python-six,
  ${misc:Depends},
  ${python:Depends},
 Suggests:
@@ -84,7 +92,10 @@
 Architecture: all
 Depends:
  netbase,
+ python3-dnspython,
  python3-greenlet,
+ python3-monotonic,
+ python3-six,
  ${misc:Depends},
  ${python3:Depends},
  ${sphinxdoc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=eventlet

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
	PYTHONPATH=. python3 -m sphinx -N -b html doc $(CURDIR)/debian/python-eventlet-doc/usr/share/doc/python-eventlet-doc/html
	dh_sphinxdoc

override_dh_compress:
	dh_compress -X.inv -X.txt

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/tests/control ===
Tests: listen
Depends: python-eventlet,

Tests: listen3
Depends: python3-eventlet,

## python-eventlet 0.25.1

=== debian/changelog ===
python-eventlet (0.25.1-2~bpo10+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * CVE-2025-58068: Eventlet is a concurrent networking library for Python.
    Prior to version 0.40.3, the Eventlet WSGI parser is vulnerable to HTTP
    Request Smuggling due to improper handling of HTTP trailer sections. This
    vulnerability could enable attackers to, bypass front-end security
    controls, launch targeted attacks against active site users, and poison web
    caches. Applied upstream patch (Closes: #1112515):
    - Fix_request_smuggling_vulnerability_by_discarding_trailers.patch
  * Add openstack-pkg-tools as build-depends and include pkgos.make in d/rules.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@buster-train.debian.net>  Mon, 01 Sep 2025 07:53:43 +0000

python-eventlet (0.25.1-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Removed patches applied upstream:
    - 0013-New_test_crt.patch
    - 0014-Fix-for-Python-3.7.patch
    - 0015-more-python3.7-fixes.patch
  * Set export NOSE_PROCESSES=-1 to do parallel testing.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Sep 2019 17:39:29 +0200

python-eventlet (0.24.1-2) unstable; urgency=medium

  * Uploading to unstable

 -- Ondřej Nový <onovy@debian.org>  Tue, 16 Jul 2019 20:16:04 +0200

python-eventlet (0.24.1-1) experimental; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 12 and use debhelper-compat
  * Standards version is 4.4.0 now (no changes)
  * d/copyright: Bump my copyright year.
  * d/patches:
    - 0007-Patched-test_getaddrinfo-due-netbase-update.patch:
       Drop, applied upstream
    - 0011-Avoid-dependency-on-enum-compat.patch:
       Drop, applied upstream
    - Use _imp instead of deprecated imp
    - Rebased others
  * Add python3-monotonic and python3-six to B-D
  * Drop Python 2 support, because required version of
    python-monotonic doesn't exists

 -- Ondřej Nový <onovy@debian.org>  Wed, 10 Jul 2019 16:31:13 +0200

=== debian/control ===
Source: python-eventlet
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 netbase,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools (>= 20.6.8),
 python3-sphinx,
Build-Depends-Indep:
 python3-dnspython,
 python3-greenlet,
 python3-httplib2,
 python3-monotonic (>= 1.4),
 python3-nose,
 python3-openssl,
 python3-six,
 python3-zmq,
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-eventlet
Vcs-Git: https://salsa.debian.org/python-team/modules/python-eventlet.git
Homepage: http://eventlet.net

Package: python-eventlet-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: concurrent networking library - doc
 Eventlet allows you to change how you run your code, not how you write it.
 .
 It uses epoll or libevent for highly scalable non-blocking I/O.
 Coroutines ensure that the developer uses a blocking style of programming
 that is similar to threading, but provide the benefits of non-blocking I/O.
 The event dispatch is implicit, which means you can easily use Eventlet from
 the Python interpreter, or as a small part of a larger application.
 .
 It's easy to get started using Eventlet, and easy to convert existing
 applications to use it. Start off by looking at examples, common design
 patterns, and the list of the basic API primitives.
 .
 This package provides the documentation.

Package: python3-eventlet
Architecture: all
Depends:
 netbase,
 python3-greenlet,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Suggests:
 python-eventlet-doc,
Description: concurrent networking library
 Eventlet allows you to change how you run your code, not how you write it.
 .
 It uses epoll or libevent for highly scalable non-blocking I/O.
 Coroutines ensure that the developer uses a blocking style of programming
 that is similar to threading, but provide the benefits of non-blocking I/O.
 The event dispatch is implicit, which means you can easily use Eventlet from
 the Python interpreter, or as a small part of a larger application.
 .
 It's easy to get started using Eventlet, and easy to convert existing
 applications to use it. Start off by looking at examples, common design
 patterns, and the list of the basic API primitives.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,14 @@
 #!/usr/bin/make -f
 
+UPSTREAM_GIT := https://github.com/eventlet/eventlet
+include /usr/share/openstack-pkg-tools/pkgos.make
+
 export PYBUILD_NAME=eventlet
+export TRAVIS=true
+export NOSE_PROCESSES=-1
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 	PYTHONPATH=. python3 -m sphinx -N -b html doc $(CURDIR)/debian/python-eventlet-doc/usr/share/doc/python-eventlet-doc/html

## python-eventlet 0.25.2

=== debian/changelog ===
python-eventlet (0.25.2-2~bpo10+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * CVE-2025-58068: Eventlet is a concurrent networking library for Python.
    Prior to version 0.40.3, the Eventlet WSGI parser is vulnerable to HTTP
    Request Smuggling due to improper handling of HTTP trailer sections. This
    vulnerability could enable attackers to, bypass front-end security
    controls, launch targeted attacks against active site users, and poison web
    caches. Applied upstream patch (Closes: #1112515):
    - Fix_request_smuggling_vulnerability_by_discarding_trailers.patch
  * Add openstack-pkg-tools as build-depends and include pkgos.make in d/rules.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@buster-ussuri.infomaniak.ch>  Mon, 01 Sep 2025 08:17:21 +0000

python-eventlet (0.25.2-1) unstable; urgency=medium

  * New upstream release (Closes: #954499).
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0.

 -- Ondřej Nový <onovy@debian.org>  Tue, 21 Apr 2020 10:57:30 +0200

python-eventlet (0.25.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.1.
  * Uploading to unstable.

 -- Ondřej Nový <onovy@debian.org>  Fri, 18 Oct 2019 15:56:59 +0200

=== debian/control ===
--- 
+++ 
@@ -22,10 +22,11 @@
  python3-openssl,
  python3-six,
  python3-zmq,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-eventlet
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-eventlet.git
 Homepage: http://eventlet.net
+Rules-Requires-Root: no
 
 Package: python-eventlet-doc
 Architecture: all

## python-eventlet 0.26.1

=== debian/changelog ===
python-eventlet (0.26.1-7+deb11u1) bullseye; urgency=medium

  [ Filippo Giunchedi ]
  * Fix dnspython 2 compat
    See also https://github.com/eventlet/eventlet/pull/722 and
    https://phabricator.wikimedia.org/T283714

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Sep 2021 21:42:12 +0200

python-eventlet (0.26.1-7) unstable; urgency=medium

  * CVE-2021-21419: Malicious peer may exhaust memory on Eventlet side
    by sending highly compressed data frame. Appled upstream patch: websocket:
    Limit maximum uncompressed frame length to 8MiB (Closes: #988342).

 -- Thomas Goirand <zigo@debian.org>  Tue, 11 May 2021 08:03:43 +0200

python-eventlet (0.26.1-6) unstable; urgency=medium

  * Hack a modified debian/greendns.py with filename=None instead of
    filename='/etc/resolv.conf' to replace eventlet/support/greendns.py when
    building the sphinx doc, to avoid crash (Closes: #981720).
    Beware that future version of Eventlet will need updated files in the
    debian folder.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Feb 2021 17:07:30 +0100

python-eventlet (0.26.1-5) unstable; urgency=medium

  * Drop 0012-ssl-RecursionError-on-Python3.6.patch, which is destroying SSL
    since it got fixed upstream.
  * Drop 0010-Fix-compilation-errors-when-installing-package-in-Py.patch, as
    we don't support Python 2.7 anymore.
  * Add fix-infinte-recursion-in-ssl.patch, which should fix the compat with
    dnspython 2.x.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Jan 2021 12:26:06 +0100

python-eventlet (0.26.1-4) unstable; urgency=medium

  * Team upload
  * Import upstream patch to fix Semaphore objects on python3.9
  * Import upstream patch to fix build against pyOpenSSL >= 20 (Closes: #980639)
  * autopkgtest: run test suite
  * debian/rules: skip running the test suite during the build. It fails
    randomly, but that's only during the build: under autopkgtest, they
    succeed consistely.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 21 Jan 2021 09:34:22 -0300

python-eventlet (0.26.1-3) unstable; urgency=medium

  * Add remove-non-deterministic-test_communicate_with_poll.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 09:37:19 +0200

python-eventlet (0.26.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Oct 2020 14:28:24 +0200

python-eventlet (0.26.1-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Ondřej Nový ]
  * New upstream release.
  * d/copyright: Bump my copyright year.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.
  * d/patches: Rebase.

  [ Thomas Goirand ]
  * Add Replace-dnspython-_compute_expiration-by-_compute_times.patch.
  * Add fix-test_noraise_dns_tcp.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Sep 2020 17:29:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-eventlet
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Ondřej Nový <onovy@debian.org>,
@@ -9,7 +9,6 @@
  debhelper-compat (= 12),
  dh-python,
  netbase,
- openstack-pkg-tools,
  python3-all,
  python3-setuptools (>= 20.6.8),
  python3-sphinx,
@@ -23,9 +22,9 @@
  python3-six,
  python3-zmq,
 Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-eventlet
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-eventlet.git
-Homepage: http://eventlet.net
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-eventlet
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-eventlet.git
+Homepage: https://eventlet.net
 Rules-Requires-Root: no
 
 Package: python-eventlet-doc

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=eventlet
export TRAVIS=true
export NOSE_PROCESSES=-1

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	cp debian/greendns.orig.py eventlet/support/greendns.py

override_dh_sphinxdoc:
	cp debian/greendns.py eventlet/support/
	PYTHONPATH=. python3 -m sphinx -N -b html doc $(CURDIR)/debian/python-eventlet-doc/usr/share/doc/python-eventlet-doc/html
	dh_sphinxdoc
	cp debian/greendns.orig.py eventlet/support/greendns.py

override_dh_compress:
	dh_compress -X.inv -X.txt

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_test:
	@echo 'Not running tests during build, due to random failures'

## python-eventlet 0.30.0

=== debian/changelog ===
python-eventlet (0.30.0-0ubuntu1.1~cloud0) focal-wallaby; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 17 May 2021 14:19:25 +0000

python-eventlet (0.30.0-0ubuntu1.1) hirsute-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2021-21419.patch: limit maximum uncompressed
      frame length to 8MiB in eventlet/websocket.py,
      tests/websocket_new_test.py.
    - CVE-2021-21419

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 11 May 2021 10:11:53 -0300

python-eventlet (0.30.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/0016-imp-rename.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 04 Jan 2021 15:49:02 -0500

python-eventlet (0.26.1-0ubuntu1) groovy; urgency=medium

  * New upstream release.
  * d/p/ssl-compat.patch: Dropped. Fixed in new upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:24:39 -0400

python-eventlet (0.25.2-1ubuntu1) groovy; urgency=medium

  * d/p/ssl-compat.patch: Fix compatibility with SSLContext base
    use of wrap_socket for Python >= 3.7 (LP: #1884580).

 -- James Page <james.page@ubuntu.com>  Thu, 02 Jul 2020 07:59:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-eventlet
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Ondřej Nový <onovy@debian.org>,
@@ -16,15 +17,14 @@
  python3-dnspython,
  python3-greenlet,
  python3-httplib2,
- python3-monotonic (>= 1.4),
  python3-nose,
  python3-openssl,
  python3-six,
  python3-zmq,
 Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/packages/python-eventlet
-Vcs-Git: https://salsa.debian.org/python-team/packages/python-eventlet.git
-Homepage: https://eventlet.net
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-eventlet
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-eventlet.git
+Homepage: http://eventlet.net
 Rules-Requires-Root: no
 
 Package: python-eventlet-doc

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=eventlet
export TRAVIS=true
export NOSE_PROCESSES=-1

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
	PYTHONPATH=. python3 -m sphinx -N -b html doc $(CURDIR)/debian/python-eventlet-doc/usr/share/doc/python-eventlet-doc/html
	dh_sphinxdoc

override_dh_compress:
	dh_compress -X.inv -X.txt

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## python-eventlet 0.30.2

=== debian/changelog ===
python-eventlet (0.30.2-5ubuntu2.2) jammy-security; urgency=medium

  * SECURITY UPDATE: HTTP Request smuggling
    - debian/patches/CVE-2025-58068.patch: Fix request smuggling
      vulnerability by discarding trailers in eventlet/wsgi.py.
    - debian/patches/fixing_tests.py:  shrinks window before connecting
      in tests/greenio_test.py. This test was causing a FTBFS (LP: #2125423).
    - CVE-2025-58068

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 15 Sep 2025 15:03:56 -0300

python-eventlet (0.30.2-5ubuntu2) jammy; urgency=medium

  * d/p/skip-failing-py3.10-tests.patch:
    Skip test_fork_after_monkey_patch which does not pass reliable in
    autopkgtests.

 -- James Page <james.page@ubuntu.com>  Sat, 09 Apr 2022 16:37:12 +0100

python-eventlet (0.30.2-5ubuntu1) jammy; urgency=medium

  * d/p/python-3.10-6-collections.Iterable.patch: Use
    collections.abc.Iterable for compatibility with Python 3.10.
  * d/rules: Re-enable testing during package build.
  * d/p/skip-failing-py3.10-tests.patch: Skip remaining two
    unit test failures on Python 3.10 for now.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Apr 2022 10:17:04 +0100

python-eventlet (0.30.2-5) unstable; urgency=medium

  * Add greendns-with-dnspython-2.10.patch (Closes: #999873).

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Nov 2021 00:02:15 +0100

python-eventlet (0.30.2-4) unstable; urgency=medium

  * Add upstream Python 3.10 patches.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Nov 2021 09:51:40 +0100

python-eventlet (0.30.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Filippo Giunchedi ]
  * Refresh Replace-dnspython-_compute_expiration-by-_compute_times.patch with
    upstrem commit 51569f34767
  * Add patches for dnspython2 compat. (Closes #989600)
    - Check_compute_expiration_at_module_level.patch
    - add_handling_for_new_dnspython_arguments.patch

  [ Thomas Goirand ]
  * Fix greendns.py hack when building the sphinx doc.

 -- Thomas Goirand <zigo@debian.org>  Sun, 26 Sep 2021 18:35:28 +0200

python-eventlet (0.30.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 12:36:09 +0200

python-eventlet (0.30.2-1) experimental; urgency=medium

  * New upstream release.
  * Removed patches applied upstream:
    - 0017-py39-Add-_at_fork_reinit-method-to-Semaphores.patch
    - 0018-pyopenssl-tsafe-module-was-deprecated-and-removed-in.patch
    - fix-infinte-recursion-in-ssl.patch

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 11:20:37 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: python
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Ondřej Nový <onovy@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  netbase,
  python3-all,
@@ -17,14 +17,15 @@
  python3-dnspython,
  python3-greenlet,
  python3-httplib2,
+ python3-monotonic (>= 1.4),
  python3-nose,
  python3-openssl,
  python3-six,
  python3-zmq,
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-eventlet
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-eventlet.git
-Homepage: http://eventlet.net
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-eventlet
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-eventlet.git
+Homepage: https://eventlet.net
 Rules-Requires-Root: no
 
 Package: python-eventlet-doc

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,14 @@
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
+override_dh_clean:
+	dh_clean
+
 override_dh_sphinxdoc:
+	cp debian/greendns.py eventlet/support/
 	PYTHONPATH=. python3 -m sphinx -N -b html doc $(CURDIR)/debian/python-eventlet-doc/usr/share/doc/python-eventlet-doc/html
 	dh_sphinxdoc
+	cp debian/greendns.orig.py eventlet/support/greendns.py
 
 override_dh_compress:
 	dh_compress -X.inv -X.txt

## python-eventlet 0.33.0

=== debian/changelog ===
python-eventlet (0.33.0-2~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * CVE-2025-58068: Eventlet is a concurrent networking library for Python.
    Prior to version 0.40.3, the Eventlet WSGI parser is vulnerable to HTTP
    Request Smuggling due to improper handling of HTTP trailer sections. This
    vulnerability could enable attackers to, bypass front-end security
    controls, launch targeted attacks against active site users, and poison web
    caches. Applied upstream patch (Closes: #1112515):
    - Fix_request_smuggling_vulnerability_by_discarding_trailers.patch
  * Add openstack-pkg-tools as build-depends and include pkgos.make in d/rules.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Mon, 01 Sep 2025 08:52:57 +0000

python-eventlet (0.33.0-1) experimental; urgency=medium

  * New upstream release.
  * Refreshed:
    - 0008-Disable-test_server_connection_timeout_exception.patch
  * Removed applied upstream:
    - 0016-imp-rename.patch
    - Replace-dnspython-_compute_expiration-by-_compute_times.patch
    - Check_compute_expiration_at_module_level.patch
    - fix-test_noraise_dns_tcp.patch
    - python-3.10-1-Only_wrap_socket.timeout_on_Python_lower_than_3.10.patch
    - python-3.10-2-Get_a_working_greenio._open_on_py310.patch
    - python-3.10-3-Test_using_eventlet.is_timeout.patch
    - python-3.10-4-Fix_backdoor_tests_on_py310.patch
    - python-3.10-5-Tolerate__builtins__being_a_dict_rather_than_module_in_is_timeout.patch
    - greendns-with-dnspython-2.10.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Feb 2022 17:59:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-eventlet
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Ondřej Nový <onovy@debian.org>,
@@ -10,6 +9,7 @@
  debhelper-compat (= 13),
  dh-python,
  netbase,
+ openstack-pkg-tools,
  python3-all,
  python3-setuptools (>= 20.6.8),
  python3-sphinx,

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+UPSTREAM_GIT := https://github.com/eventlet/eventlet
+include /usr/share/openstack-pkg-tools/pkgos.make
 
 export PYBUILD_NAME=eventlet
 export TRAVIS=true
@@ -21,3 +24,6 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+
+override_dh_auto_test:
+	@echo 'Not running tests during build, due to random failures'

## python-eventlet 0.33.1

=== debian/changelog ===
python-eventlet (0.33.1-5~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * CVE-2025-58068: Eventlet is a concurrent networking library for Python.
    Prior to version 0.40.3, the Eventlet WSGI parser is vulnerable to HTTP
    Request Smuggling due to improper handling of HTTP trailer sections. This
    vulnerability could enable attackers to, bypass front-end security
    controls, launch targeted attacks against active site users, and poison web
    caches. Applied upstream patch (Closes: #1112515):
    - Fix_request_smuggling_vulnerability_by_discarding_trailers.patch
  * Add openstack-pkg-tools as build-depends and include pkgos.make in d/rules.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Mon, 01 Sep 2025 09:21:30 +0000

python-eventlet (0.33.1-4) unstable; urgency=medium

  * Remove greendns.py hack to gen the doc.
  * Blacklist flacky test: test_fork_after_monkey_patch (Closes: #1026478).

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Jan 2023 09:47:07 +0100

python-eventlet (0.33.1-3) unstable; urgency=medium

  * Add Fix_greendns_for_dnspython_2.3.0+.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Jan 2023 15:12:58 +0100

python-eventlet (0.33.1-2) unstable; urgency=medium

  * Remove py310-Fix-_fix_py3_rlock.patch.
  * Do not run tests if DEB_BUILD_OPTIONS=nocheck.
  * Add remove_test_patcher_existing_locks_locked.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2022 17:26:15 +0200

python-eventlet (0.33.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Run unit tests at build time.
  * Add a number of py310 fixes (Closes: #1009112):
    - py310-Fix-_fix_py3_rlock.patch
    - py310_fix1.patch
    - py310_fix-collections.abc.patch
    - greenio_GreenPipe_fdopen_with_a_in_mode_raisewd_io.UnsupportedO....patch
  * Exclude tests.wsgi_test.TestHttpd.test_018b_http_10_keepalive_framing().

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Sep 2022 12:19:00 +0200

=== debian/control ===
--- 
+++ 
@@ -34,6 +34,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: concurrent networking library - doc
  Eventlet allows you to change how you run your code, not how you write it.
  .

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/eventlet/eventlet
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=eventlet
export TRAVIS=true

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean

override_dh_sphinxdoc:
#	cp debian/greendns.py eventlet/support/
	PYTHONPATH=. python3 -m sphinx -N -b html doc $(CURDIR)/debian/python-eventlet-doc/usr/share/doc/python-eventlet-doc/html
	dh_sphinxdoc
#	cp debian/greendns.orig.py eventlet/support/greendns.py

override_dh_compress:
	dh_compress -X.inv -X.txt

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; for i in $(shell py3versions -vr 2>/dev/null) ; do \
		PYTHONPATH=. PYTHON=python$$i python$$i -m nose tests -v --exclude='.*test_018b_http_10_keepalive_framing.*' --exclude='.*test_fork_after_monkey_patch.*'; \
	done
endif

## python-eventlet 0.33.3

=== debian/changelog ===
python-eventlet (0.33.3-4~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * CVE-2025-58068: Eventlet is a concurrent networking library for Python.
    Prior to version 0.40.3, the Eventlet WSGI parser is vulnerable to HTTP
    Request Smuggling due to improper handling of HTTP trailer sections. This
    vulnerability could enable attackers to, bypass front-end security
    controls, launch targeted attacks against active site users, and poison web
    caches. Applied upstream patch (Closes: #1112515):
    - Fix_request_smuggling_vulnerability_by_discarding_trailers.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Mon, 01 Sep 2025 07:01:36 +0000

python-eventlet (0.33.3-3) unstable; urgency=medium

  * Add use-raw-strings-to-avoid-warnings.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Dec 2023 12:46:45 +0100

python-eventlet (0.33.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch for Python 3.12, taken from Fedora.
  * Apply the 823 pull request from github.

 -- Matthias Klose <doko@debian.org>  Fri, 08 Dec 2023 17:22:52 +0100

python-eventlet (0.33.3-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 12:12:28 +0200

python-eventlet (0.33.3-1) experimental; urgency=medium

  * New upstream release.
  * Removed patches applied upstream:
    - Fix_greendns_for_dnspython_2.3.0+.patch
    - greenio_GreenPipe_fdopen_with_a_in_mode_raisewd_io.UnsupportedOp....patch
  * Add neutralize-test_017_ssl_zeroreturnerror.patch (Closes: #1042226).
  * Cleans better.
  * Removes the greendns.py hack.
  * Move-back the package to the OpenStack team, using git-based workflow.
  * Add salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 12:50:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: python-eventlet
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
- Ondřej Nový <onovy@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -23,8 +22,8 @@
  python3-six,
  python3-zmq,
 Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/python-team/packages/python-eventlet
-Vcs-Git: https://salsa.debian.org/python-team/packages/python-eventlet.git
+Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-eventlet
+Vcs-Git: https://salsa.debian.org/openstack-team/third-party/python-eventlet.git
 Homepage: https://eventlet.net
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,14 @@
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
-override_dh_clean:
-	dh_clean
+override_dh_auto_clean:
+	dh_auto_clean
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_sphinxdoc:
-#	cp debian/greendns.py eventlet/support/
 	PYTHONPATH=. python3 -m sphinx -N -b html doc $(CURDIR)/debian/python-eventlet-doc/usr/share/doc/python-eventlet-doc/html
 	dh_sphinxdoc
-#	cp debian/greendns.orig.py eventlet/support/greendns.py
 
 override_dh_compress:
 	dh_compress -X.inv -X.txt

## python-eventlet 0.34.3

=== debian/changelog ===
python-eventlet (0.34.3-0ubuntu1) noble; urgency=medium

  * New upstream release, providing official support for Python 3.12.
  * Drop patches included in upstream release:
    - d/p/py312*.patch.
    - d/p/Fix_greendns_for_dnspython_2.3.0+.patch.
    - d/p/greenio_GreenPipe_fdopen_with_a_in_mode_raisewd_io.UnsupportedOperation.patch.
    - d/p/py310_fix-collections.abc.patch
  * Drop patches for testing against older Pythons;
    - d/p/0009-Removed-test_urllib-that-is-failing-in-py36.patch.
  * d/p/*: Refresh.
  * d/control: Add python3-pytest to BD's.
  * d/p/fix-doc-generation.patch: Use new version objects during
    documentation generation.

 -- James Page <james.page@ubuntu.com>  Wed, 17 Jan 2024 11:26:50 +0000

python-eventlet (0.33.1-4ubuntu2) noble; urgency=medium

  * Fixes for Python 3.12: (LP: #2044857)
    - d/p/py312-eventlet-pr-817-*.patch: PR#817 (unmerged right now)
    - d/p/py312-import-ssl-from-eventlet-green.patch: update import
      for patch 7 (due to `eventlet.green.ssl._has_ssl_wrap_socket`)
    - d/rules: ignore SyntaxWarnings from nose.config with temporary
      hack until nose has Python 3.12 support in place, for 2 tests:
      - tests.patcher_test.test_builtin and
      - tests.patcher_test.test_import_patched_handles_sub_modules

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Mon, 27 Nov 2023 19:01:50 -0300

python-eventlet (0.33.1-4ubuntu1) mantic; urgency=medium

  [ Thomas Goirand ]
  * Add neutralize-test_017_ssl_zeroreturnerror.patch (Closes: #1042226).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Sep 2023 16:35:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: python-eventlet
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Ondřej Nový <onovy@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  netbase,
- openstack-pkg-tools,
  python3-all,
  python3-setuptools (>= 20.6.8),
  python3-sphinx,
@@ -19,11 +20,12 @@
  python3-monotonic (>= 1.4),
  python3-nose,
  python3-openssl,
+ python3-pytest,
  python3-six,
  python3-zmq,
 Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-eventlet
-Vcs-Git: https://salsa.debian.org/openstack-team/third-party/python-eventlet.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-eventlet
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-eventlet.git
 Homepage: https://eventlet.net
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=eventlet
export TRAVIS=true

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean

override_dh_sphinxdoc:
#	cp debian/greendns.py eventlet/support/
	PYTHONPATH=. python3 -m sphinx -N -b html doc $(CURDIR)/debian/python-eventlet-doc/usr/share/doc/python-eventlet-doc/html
	dh_sphinxdoc
#	cp debian/greendns.orig.py eventlet/support/greendns.py

override_dh_compress:
	dh_compress -X.inv -X.txt

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; for i in $(shell py3versions -vr 2>/dev/null) ; do \
		PYTHONPATH=. PYTHON=python$$i \
		PYTHONWARNINGS="$$([ $$i != 3.12 ] || echo 'ignore:invalid escape sequence:SyntaxWarning:/usr/lib/python3/dist-packages/nose/config:0')" \
		python$$i -m nose tests -v --exclude='.*test_018b_http_10_keepalive_framing.*' --exclude='.*test_fork_after_monkey_patch.*'; \
	done
endif
